#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Aug 24 17:45:37 2020

@author: labo4_2020
"""


"""
Para plotear les recomendamos el módulo pyplot de la librería matplotlib, el cual tiene
amplia documentación online. Se suele importar con la abreviación plt.

"""

import matplotlib.pyplot as plt
import numpy as np


#%%Creo vectores ficticios para graficar

Tiempos = np.linspace(0, 25, 1000) #creo un vector de 0 a 100, con 1000 pasos.
Voltaje1 = 2*np.sin(Tiempos) #numpy permite aplicar funciones a arrays hechos en numpy
Voltaje2 = 5*np.cos(Tiempos)


#%% Graficamos y guardamos la figura:

plt.figure()
# graficamos la serie Voltaje1
plt.plot(Tiempos, Voltaje1, color='blue', linewidth=2, linestyle='dashed', label='Medición 1')
# graficamos, en los mismos ejes la serie Voltaje2
plt.plot(Tiempos, Voltaje2, color='red', linewidth=2, linestyle='solid', label='Medición 2')
# agregamos una linea vertical al gráfico que marca algo.
plt.axvline(6.28, color='green', linestyle='dotted', linewidth=1.5, label='Un período')


# Fijamos cuestions cosméticas del grafico: etiquetas, limites, etc.
plt.xlabel('Tiempo (s)')
plt.ylabel('Voltaje (V)')
plt.xlim(0, 25)
plt.ylim(-6, 9)
plt.title('Medición de cuarentena')
plt.legend() #coloca las etiquetas en la mejor posición posible

# guardamos la figura graficada como un archivo
plt.savefig('plots/figurita1.png', format='png') #esta línea guarda la figura

# trae la figura al frente.
plt.show() 









































